/*************************************************************************
 *                                                                          
 * daxispoint.cpp  -  description
 *
 * Copyright (C) 2001  J C Gonzalez
 * gonzalez@gae.ucm.es
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#include "daxispoint.h"
#include <qlabel.h>
#include <qlineedit.h>

dAxisPoint::dAxisPoint(QWidget *parent, const char *name, bool modal )
  : dlgAxisPoint(parent,name,modal) {}

dAxisPoint::~dAxisPoint() {}

/** Sets name of the axes system */
void dAxisPoint::setName(QString & s)
{
  return axesName->setText(s);
}

/** Sets name of the axes system */
void dAxisPoint::setDesc(QString & s)
{
  return axesDesc->setText(s);
}

/** Sets physical coord. X to show in the dialog */
void dAxisPoint::setX(double x)
{
  QString s;
  txtX->setText(s.setNum(x));
}

/** Sets physical coord. Y to show in the dialog */
void dAxisPoint::setY(double y)
{
  QString s;
  txtY->setText(s.setNum(y));
}

/** Sets graphical coord. X to show in the dialog */
void dAxisPoint::setGX(double gx)
{
  QString s;
  txtGX->setText(s.setNum(gx));
}

/** Sets graphical coord. Y to show in the dialog */
void dAxisPoint::setGY(double gy)
{
  QString s;
  txtGY->setText(s.setNum(gy));
}

/** Returns logical coord. X entered by the user */
double dAxisPoint::getX()
{
  return txtX->text().toDouble();
}

/** Returns logical coord. Y entered by the user */
double dAxisPoint::getY()
{
  return txtY->text().toDouble();
}

/** Returns graphical coord. X entered by the user */
double dAxisPoint::getGX()
{
  return txtGX->text().toDouble();
}

/** Returns graphical coord. Y entered by the user */
double dAxisPoint::getGY()
{
  return txtGY->text().toDouble();
}

