/*************************************************************************
 *                                                                          
 * deditelement.h  -  description
 *
 * Copyright (C) 2001  J C Gonzalez
 * gonzalez@gae.ucm.es
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#ifndef DEDITELEMENT_H
#define DEDITELEMENT_H

#include <qwidget.h>
#include <dlgEditElement.h>

#include <qstring.h>
#include <qcolor.h>
#include <qpixmap.h>

/**Inherits UI generated class
  *@author J C Gonzalez
  */

class QScanPlotDoc;

class dEditElement : public dlgEditElement  {
   Q_OBJECT
public: 
	dEditElement(QWidget *parent=0, const char *name=0, bool modal=TRUE);
	~dEditElement();

  enum EditMode { EditCurve, EditAxes, EditGrid };
  enum Column { Name,
                Description,
                Color,
                Xscale,
                Yscale,
                Xmin=2,
                Xmax=3,
                Intervals=4,
                IntWidth=5 };

  void setMode(EditMode);
  void setDoc(QScanPlotDoc*);
  void addItem(const QString& name, const QString& desc,
               const QColor& c, int xscale=0, int yscale=0,
               double x1=0., double x2=0., int n=0, double dx=0.);
  void modifyItem(QListViewItem * item,
                  const QString& name, const QString& desc,
                  const QColor& c, int xscale=0, int yscale=0,
                  double x1=0., double x2=0., int n=0, double dx=0.);

public slots:
  void slotEditElement();
  void slotDeleteElement();
  void slotEditElement(QListViewItem*);

private:
  EditMode      mode;
  QScanPlotDoc* doc;
  QPixmap       pixmap;
};

#endif
