/*************************************************************************
 *                                                                          
 * dexportsetup.h  -  description
 *
 * Copyright (C) 2001  J C Gonzalez
 * gonzalez@gae.ucm.es
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#ifndef DEXPORTSETUP_H
#define DEXPORTSETUP_H

#include <qwidget.h>
#include <dlgExportSetup.h>

/**Inherits from UI generated class
  *@author J C Gonzalez
  */

class dExportSetup : public dlgExportSetup  {
   Q_OBJECT
public: 
	dExportSetup(QWidget *parent=0, const char *name=0, bool modal=TRUE);
	~dExportSetup();
	
  enum ExportSeparator { Space, Comma, Tab, Semicolon, OtherSeparator };
  enum ExportComment   { None, Number, Cpp, Percent, Other };
  enum ExportLayout    { AllInOneLine, OnePerLine };
  enum ExportNumeric   { Automatic, UserDefined };
  enum ExportCriteria  { X1Y1X2Y2, XY1Y2, GXY1Y2 };

  enum ExportSpecialFormat {
    NoSpecial,
    Octave,
    SCILab,
    GNUPlot,
    GRACE
  };

  void init();
  void init(int, int, int, int, int, int, int, int);
  void updateGUI();

  void includeItem(QString s);
  void excludeItem(QString s);

  void addAxesSystem(QString s);
  void clearAxesSystem();
  void setAxesSystem(int i);
  int  getAxesSystem();

  void addGrid(QString s);
  void clearGrid();
  void setGrid(int i);
  int  getGrid();

  int getNIncluded();
  int getNExcluded();

  QString getIncluded(int i) const;
  QString getExcluded(int i) const;

  int  getComment();
  int  getSeparator();
  int  getLayout();
  int  getCriteria();
  int  getNumeric();
  int  getSpecialFormat();
  QString getCommentString() const;
  QString getSeparatorString() const;
  QString getUserFormatString() const;

public slots:
  void slotExcludeCurve();
  void slotIncludeCurve();
  void slotChangeAxes(int);
  void slotChangeGrid(int);
  void slotChangeComment(int);
  void slotChangeCriteria(int);
  void slotChangeLayout(int);
  void slotChangeNumeric(int);
  void slotChangeSeparator(int);
  void slotSetSpecialFormat(int);
  void slotHelp();

private:
  int axes2use;
  int grid2use;
  int idCriteria;
  int idSeparator;
  int idComment;
  int idNumeric;
  int idLayout;
  int specialFormat;

};

#endif
