/*************************************************************************
 *                                                                          
 * dgrid.h  -  description
 *
 * Copyright (C) 2001  J C Gonzalez
 * gonzalez@gae.ucm.es
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#ifndef DGRID_H
#define DGRID_H

#include <qwidget.h>
#include <dlgGrid.h>

/**Inherited class from UI file
  *@author J C Gonzalez
  */

class dGrid : public dlgGrid  {
   Q_OBJECT
public: 
	dGrid(QWidget *parent=0, const char *name=0, bool modal=TRUE);
  ~dGrid();

  /** Puts initial values */
  void init(double x1, double x2, int n, double dx);
  /** Returns name entered by the user */
  QString getName() const;
  /** Returns description entered by the user */
  QString getDesc() const;
  /** Sets initial name */
  void setName(const QString& s);
  /** Sets initial description */
  void setDesc(const QString& s);
  /** Sets Xmin */
  void setXmin(double x);
  /** Sets Xmax */
  void setXmax(double x);

public:  
  void slotChangedIntervalWidth(const QString&);
  void slotChangedNIntervals(int);
  void slotChangedXmax(const QString&);
  void slotChangedXmin(const QString&);
  void slotAccept();

  inline double getXmin(void) const       { return xmin; }
  inline double getXmax(void) const       { return xmax; }
  inline int    getNIntervals(void) const { return nbins; }
  inline double getIntWidth(void) const   { return incx; }
  
private:
  double xmin;
  double xmax;
  double domain;
  double incx;
  int    nbins;
  int    incindex;
  bool   modifying;
};

#endif
