/*************************************************************************
 *                                                                          
 * dmodels.h  -  description
 *
 * Copyright (C) 2002  J C Gonzalez
 * jcgonzalez@rt.nl
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#ifndef DMODELS_H
#define DMODELS_H

#include <qwidget.h>
#include <dlgModels.h>

#include <qmap.h>

/**Inherits UI generated class
  *@author J C Gonzalez
  */

class dModels : public dlgModels  {
   Q_OBJECT

   class CurveModel {
   public:
     inline void setModel(int m) { theModel = m; }
     inline void setFx(int f) { theFx = f; }
     inline void setFy(int f) { theFy = f; }
     inline int getModel() { return theModel; }
     inline int getFx() { return theFx; }
     inline int getFy() { return theFy; }
   private:
     int theModel;
     int theFx;
     int theFy;
   };

public:
  dModels(QWidget *parent=0, const char *name=0, bool modal=TRUE);
  ~dModels();

public:
  void createModels(int n);
  void setCurveModel(int n, QString s, int m, int fx, int fy);
  int getCurveModel(int n);
  int getCurveModelFx(int n);
  int getCurveModelFy(int n);

  /** No descriptions */
  void setFunctions(QMap<int,QString> lstPlugins);

  void slotSelectCurve(int n);
  void slotSelectModel(int n);
  void slotSelectFx(int n);
  void slotSelectFy(int n);

private:
  CurveModel *curveModels;
  int numCurveModels;
  int nCurve;
};

#endif
