/*************************************************************************
 *                                                                          
 * dnewelement.h  -  description
 *
 * Copyright (C) 2001  J C Gonzalez
 * gonzalez@gae.ucm.es
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#ifndef DNEWELEMENT_H
#define DNEWELEMENT_H

#include <qwidget.h>
#include <qcolor.h>
#include <dlgNewElement.h>

/**Inherits UI class from dlgNewElement
  *@author J C Gonzalez
  */

class dNewElement : public dlgNewElement  {
   Q_OBJECT
public: 
	dNewElement(QWidget *parent=0, const char *name=0, bool modal = TRUE);
	~dNewElement();

  /** Sets title for dialog */
  void setTitle(const QString & s);
  /** Returns name entered by the user */
  QString getName() const;
  /** Returns description entered by the user */
  QString getDesc() const;
  /** Sets initial name */
  void setName(const QString& s);
  /** Sets initial description */
  void setDesc(const QString& s);
  /** Hide button groups in the dialog (for adding curves) */
  void hideAxesScales();
  /** Returns X Axis Scale selected by the user */
  int getXAxisScale();
  /** Returns Y Axis Scale selected by the user */
  int getYAxisScale();
  /** Sets initial scales */
  void setScales(int sx, int sy);
  /** Sets color for color selection button */
  void setBtnColor(QColor &c);
  /** Returns selected color */
  QColor getColor() const;

public slots:
  void slotSelectColor();

protected slots:
  void slotChangeXAxisScale(int);
  void slotChangeYAxisScale(int);

private:
  int scaleXAxis;
  int scaleYAxis;
};

#endif
