/*************************************************************************
 *                                                                          
 * dpreferences.cpp  -  description
 *
 * Copyright (C) 2002  J C Gonzalez
 * jcgonzalez@rt.nl
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#include "dpreferences.h"

#include <qfontdialog.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qpushbutton.h>
#include <qfiledialog.h>
#include <qcolordialog.h>
#include <qmessagebox.h>


dPreferences::dPreferences(QWidget *parent, const char *name, bool modal )
  : dlgPreferences(parent,name,modal)
{}

dPreferences::~dPreferences()
{}

void dPreferences::slotSetSplash(bool s)
{
  _splash = s;
}

void dPreferences::slotSetGUI(int n)
{
  _gui_style = n;
}

void dPreferences::slotSelectPluginsDir()
{
  QString s( QFileDialog::getExistingDirectory ( editPluginsDir->text(), 0, 0,
                                                 "Select plugins directory", true ) );
  if ( ! s.isEmpty() ) {
    editPluginsDir->setText( s );
    QMessageBox::information( this, "Plugins directory",
                       "Any change in the plugins directory will\n"
                       "require a restart of QScanPlot." );
  }
}

void dPreferences::slotSetFont()
{
  fontSample->setFont( QFontDialog::getFont( 0, fontSample->font() ) );
  /*
  bool ok;
  QFont f = QFontDialog::getFont( &ok, this );
  if ( ok ) {
    fontSample.setFont( f );
  }
  */
}

void dPreferences::slotSetZoom(int z)
{
  _zoom = z;
}

void dPreferences::slotSetColor()
{
  QColor col(QColorDialog::getColor(btnSetColor->backgroundColor()) );
  btnSetColor->setPalette( QPalette( col ) );
  btnSetColor->setBackgroundColor( col );
}

void dPreferences::set_splash(bool s)
{
  _splash = s;
  chkSplash->setChecked( _splash );
}

void dPreferences::set_GUI_style(int g)
{
  _gui_style = g;
  grpGUI->setButton( _gui_style );
}

void dPreferences::set_pluginsdir(QString s)
{
  editPluginsDir->setText(s);
}

void dPreferences::set_zoom(int z)
{
  _zoom = z;
  grpZoom->setButton( _zoom );
}

void dPreferences::set_color(QString s)
{
  btnSetColor->setBackgroundColor( QColor( s ) );
}
