/*************************************************************************
 *                                                                          
 * dpreferences.h  -  description
 *
 * Copyright (C) 2002  J C Gonzalez
 * jcgonzalez@rt.nl
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#ifndef DPREFERENCES_H
#define DPREFERENCES_H

#include <qwidget.h>
#include <dlgPreferences.h>

#include <qcheckbox.h>
#include <qlineedit.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qcolor.h>

/**Inherited class from UI
  *@author J C Gonzalez
  */

class dPreferences : public dlgPreferences  {
   Q_OBJECT
public: 
	dPreferences(QWidget *parent=0, const char *name=0, bool modal=TRUE);
	~dPreferences();
	
public slots:
  void slotSetSplash(bool s);
  void slotSetGUI(int n);
  void slotSelectPluginsDir();
  void slotSetFont();
  void slotSetZoom(int);
  void slotSetColor();

public:
  inline bool get_splash() { return _splash; }
  inline int get_GUI_style() { return _gui_style; }
  inline QString get_pluginsdir() { return editPluginsDir->text(); }
  inline QFont get_font() { return fontSample->font(); }
  inline int get_zoom() { return _zoom; }
  inline QString get_color() { return btnSetColor->backgroundColor().name(); }

  void set_splash(bool s);
  void set_GUI_style(int g);
  void set_pluginsdir(QString s);
  void set_zoom(int z);
  void set_color(QString c);

private:
  bool _splash;
  int _gui_style;
  int _zoom;
};

#endif
