/*************************************************************************
 *                                                                          
 * figurepoint.h  -  description
 *
 * Copyright (C) 2001  J C Gonzalez
 * gonzalez@gae.ucm.es
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#ifndef FIGUREPOINT_H
#define FIGUREPOINT_H

#include <qcanvas.h>

#include "point.h"
#include "gpoint.h"

#include <qcolor.h>
#include <qbrush.h>
#include <qpen.h>

/**
  *@author J C Gonzalez
  */

static const int FigurePointRTTI = 0x0100;

class FigurePoint:public QCanvasPolygon {

  public:
    FigurePoint(QCanvas * c = 0, int len = 5);
    ~FigurePoint();

  public:
     inline void setX(double x) {
        p.setX(x);
    } inline void setY(double y) {
        p.setY(y);
    }
    inline double getX() {
        return p.getX();
    }
    inline double getY() {
        return p.getY();
    }

    inline void setGX(double x) {
        gp.setX(x);
    }
    inline void setGY(double y) {
        gp.setY(y);
    }
    inline double getGX() {
        return gp.getX();
    }
    inline double getGY() {
        return gp.getY();
    }

        /** Set all the values for Logic and Graphic Points */
    inline void set(double x, double y, double gx, double gy) {
        p.setX(x);
        p.setY(y);
        gp.setX(gx);
        gp.setY(gy);
    }

  /** Re-implemented from QCanvasPolygon. Draws the point */
    void drawShape(QPainter & p);

    int rtti() const {
        return FigurePointRTTI;
    }
  private:
     Point p;
    GPoint gp;

};

#endif
