/*************************************************************************
 *                                                                          
 * main.cpp  -  description
 *
 * Copyright (C) 2001  J C Gonzalez
 * gonzalez@gae.ucm.es
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/

#include <stdlib.h>

#include <qapplication.h>
#include <qfont.h>

#include <qguardedptr.h>

#include <qmap.h>
#include <qstring.h>

#include "qscanplot.h"
#include "splash.h"
#include "preferences.h"

#include "qscanplot_splash.xpm"

QMap <int, QString>         Plugins_List;
extern "C" {  QMap <QString, Builder_ptr> Plugins_Factory; }
int  numPlugins = 0;

int main(int argc, char *argv[])
{
  QString HOME(getenv("HOME"));

  // Declare preferences file
  Preferences qscanplotPref(HOME + QString("/.qscanplotrc"),
                            "QScanPlot", VERSION );

  // Declare application object
  QApplication a(argc, argv);

  // Create main object
  QScanPlot *qscanplot=new QScanPlot();
  a.setMainWidget(qscanplot);

  // Set properties of main object
  qscanplot->setCaption(QApplication::tr("<none>"));

  qscanplot->set_preferences( &qscanplotPref );

  // Load plug-ins
  if (! qscanplot->loadPlugins()) {
    qWarning("Couldn't load any plugin . . .");
  }

  // Start GUI, with or without splash screen
  if ( qscanplotPref.getBool("Splash") ) {
    QGuardedPtr<Splash> splash = new Splash(SPLASH_PIXMAP, SPLASH_TEXT);
    QObject::connect(splash, SIGNAL(destroyed()), qscanplot, SLOT(show()));
  } else {
    qscanplot->show();
    qscanplot->apply_preferences();
  }

  return a.exec();
}
