/*************************************************************************
 *                                                                          
 * model.h  -  description
 *
 * Copyright (C) 2002  J C Gonzalez
 * jcgonzalez@rt.nl
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/

#ifndef MODEL_H
#define MODEL_H

/**Model to be used when exporting data from a given curve
  *@author J C Gonzalez
  */

#define MODEL_X_Y      0
#define MODEL_FX_Y     1
#define MODEL_X_GY     2
#define MODEL_FX_GY    3

class Model {
public: 
  Model(int model, int nFuncX, int nFuncY);
  virtual ~Model();

  /** Write property of theModel. */
  virtual void setModel( const int& _newVal);
  /** Read property of theModel. */
  virtual const int& getModel();

  /** Write property of int nFx. */
  virtual void setFx( const int& _newVal);
  /** Read property of int nFx. */
  virtual const int& getFx();

  /** Write property of int nFy. */
  virtual void setFy( const int& _newVal);
  /** Read property of int nFy. */
  virtual const int& getFy();

private: // Private attributes
  /** The model to be used when exporting a curve */
  int theModel;
  /** Handle to function to be applied to the X values */
  int nFx;
  /** Handle to function to be applied to the Y values */
  int nFy;
};

#endif
