/*************************************************************************
 *
 * pluginl.h  -  description
 *
 * Copyright (C) 2002  J C Gonzalez
 * jcgonzalez@rt.nl
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 *
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 *
 ************************************************************************/

#ifndef PLUGIN_H
#define PLUGIN_H

#include <math.h>

#include <qmap.h>
#include <qstring.h>

/** Base class for plugins
  * @author gonzalez
  */

extern "C" {

class Plugin {

public:
  Plugin() {}
  virtual ~Plugin() {}

public:
  virtual double f(double x) = 0;
};

typedef Plugin* Plugin_ptr;
typedef Plugin_ptr Plugin_ptr_func();
typedef Plugin_ptr_func* Builder_ptr;

extern QMap<QString, Builder_ptr> Plugins_Factory;

Plugin_ptr Builder();

class Proxy {
public:
  Proxy(QString s) { Plugins_Factory[s] = Builder; }
};

#define DECLARE_PLUGIN(c, s) \
  extern "C" { \
  QString Plugin_Name = s;

#define GENERATE_BUILDER(c)  \
  Plugin_ptr Builder () { return new c; } \
  Proxy p( Plugin_Name ); \
  }

}

#endif
