#! /bin/sh

TMAKEPATH=/usr/lib/tmake/linux-g++

export TMAKEPATH

if [ ! -d $TMAKEPATH ]; then
  echo Directory $TMAKEPATH selected for TMAKEPATH does not exist 
  exit 1
fi

plg=$1

plgcpp=$plg.cpp
plgpro=$plg.pro
plgmak=Makefile-$plg

echo Looking for input files . . .

if [ ! -f $plgcpp ]; then
  echo Plugin source file $plgcpp was not found
  exit 1
fi

if [ ! -f $plgpro ]; then
  echo Project file $plgpro not found, will be generated.
  . make-plugin-pro.sh $plg
fi

if [ -f $plgmak ]; then
  echo Moving old file $plgmak to $plgmak.old
  mv $plgmak $plgmak.old
fi

echo Generating makefile . . .

tmake -o $plgmak $plgpro

echo Building plugin $plg

make -f $plgmak
rm -f $plgmak $plgpro $plg.o

echo done.

      
