/*************************************************************************
 *                                                                          
 * resource.h  -  description
 *
 * Copyright (C) 2001  J C Gonzalez
 * gonzalez@gae.ucm.es
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/

#ifndef RESOURCE_H
#define RESOURCE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

///////////////////////////////////////////////////////////////////
// resource.h  -- contains macros used for commands


///////////////////////////////////////////////////////////////////
// COMMAND VALUES FOR MENUBAR AND TOOLBAR ENTRIES

///////////////////////////////////////////////////////////////////
// File-menu entries
#define ID_FILE_NEW                 10020
#define ID_FILE_OPEN                10030
#define ID_FILE_IMPORT              10040

#define ID_FILE_SAVE                10050
#define ID_FILE_SAVE_AS             10060
#define ID_FILE_CLOSE               10070

#define ID_FILE_EXPORTSETUP         10080
#define ID_FILE_EXPORTPREVIEW       10085
#define ID_FILE_EXPORT              10090

#define ID_FILE_PRINT               10100

#define ID_FILE_QUIT                10900

///////////////////////////////////////////////////////////////////
// Edit-menu entries
#define ID_EDIT_UNDO                11010
#define ID_EDIT_REDO                11020
#define ID_EDIT_COPY                11030
#define ID_EDIT_CUT                 11040
#define ID_EDIT_PASTE               11050
#define ID_EDIT_SELECT_ALL          11060

///////////////////////////////////////////////////////////////////
// View-menu entries                    
#define ID_VIEW_TOOLBAR             12010
#define ID_VIEW_STATUSBAR           12020

#define ID_VIEW_ZOOM25              12025
#define ID_VIEW_ZOOM50              12050
#define ID_VIEW_ZOOM100             12100
#define ID_VIEW_ZOOM200             12200
#define ID_VIEW_ZOOM400             12400

#define ID_NORMALIZE_ZOOM           12000

///////////////////////////////////////////////////////////////////
// Elements-menu entries
#define ID_ELEM_NEWAXES             13010
#define ID_ELEM_EDITAXES            13020
#define ID_ELEM_NEWCURVE            13030
#define ID_ELEM_EDITCURVES          13040
#define ID_ELEM_NEWGRID             13050
#define ID_ELEM_EDITGRIDS           13060
#define ID_ELEM_EDITMODELS          13070

///////////////////////////////////////////////////////////////////
// Options-menu entries
#define ID_OPT_SORT                 14010
#define ID_OPT_INTERPOLATOR         14020
#define ID_OPT_PREFERENCES          14030

///////////////////////////////////////////////////////////////////
// Options-menu entries
#define ID_TOOL_CREATEPLUGIN        15010

///////////////////////////////////////////////////////////////////
// Help-menu entries
#define ID_HELP_ABOUT               1002
#define ID_HELP_ABOUT_QT            1003

///////////////////////////////////////////////////////////////////
// Axis Point Popup Menu entries

#define ID_AP_EDIT                20011
#define ID_AP_DELETE              20012
#define ID_AP_EDITAXES            20013
#define ID_AP_DELETEAXES          20014

///////////////////////////////////////////////////////////////////
// Curve Point Popup Menu entries

#define ID_CP_EDIT                20021
#define ID_CP_DELETE              20022
#define ID_CP_EDITCURVE           20023
#define ID_CP_DELETECURVE         20024


///////////////////////////////////////////////////////////////////
// Identifiers for toggle toolbar buttons
#define ID_ON_POINTER               991
#define ID_ON_AXISPOINT             992
#define ID_ON_CURVEPOINT            993


///////////////////////////////////////////////////////////////////
// Export Dialog Setup Identifiers
#define ID_EXPORT_CRITERIA_XY       2001
#define ID_EXPORT_CRITERIA_FIRSTX   2002
#define ID_EXPORT_CRITERIA_GRIDX    2003

#define ID_EXPORT_LAYOUT_ALLINLINE  2011
#define ID_EXPORT_LAYOUT_ONEPERLINE 2012

#define ID_EXPORT_SEPARATOR_SPACE   2021
#define ID_EXPORT_SEPARATOR_COMMA   2022
#define ID_EXPORT_SEPARATOR_TAB     2023

#define ID_EXPORT_COMMENT_NONE      2031
#define ID_EXPORT_COMMENT_CPP       2032
#define ID_EXPORT_COMMENT_NUMBER    2033
#define ID_EXPORT_COMMENT_PERCENT   2034
#define ID_EXPORT_COMMENT_OTHER     2035


///////////////////////////////////////////////////////////////////
// Interpolators

#define INTERPOLATOR_LAGRANGE1ST  0
#define INTERPOLATOR_LAGRANGE2ND  1
#define INTERPOLATOR_LAGRANGE3RD  2


///////////////////////////////////////////////////////////////////
// General application values
#define IDS_APP                     "QScanPlot " VERSION
#define IDS_APP_ABOUT               "QScanPlot\nVersion " VERSION \
                                    "\n(w) 2001 by J C Gonzalez"
#define IDS_STATUS_DEFAULT          "Ready."

#define QSCANPLOT_IMAGE             qscanplot_image

#define SPLASH_PIXMAP               qscanplot_splash

#define SPLASH_TEXT \
"<b>"\
"<font size=+2>QS</font>"\
"<font size=+1>CAN</font>"\
"<font size=+2>P</font>"\
"<font size=+1>LOT   Version   </font>"\
"<font color=red size=+2>" VERSION "</font></b>"\
"<br><hr>"\
"Copyright &copy; 2001, 2002  J C Gonzalez<br>"\
"All rights reserved<br><br><br>"\
"This program is free software; you can redistribute it <br>"\
"and/or modify it under the terms of the GNU General<br>"\
"Public License as published by the Free Software <br>"\
"Foundation; either version 2 of the License, or (at your <br>"\
"option) any later version."

#define HELP_CREATEPLUGIN \
 "<b>Creation of a new plug-in</b>"\
"<br><hr>"\
"A \"plug-in\", in this program, is a user-defined function<br>"\
"saved in a single file (a shared library), prepared to be <br>"\
"loaded dynamically at run-time.  These functions can be used<br>"\
"afterwards, when exporting data from curves to ASCII files<br>"\
"in order to save in those files not the x or y of the data points<br>"\
"but a function f(x) or g(y) of them.<br>"\
"To create a new plugin, just enter the name for the new plug-ins,<br>"\
"and the body of the function (in C/C++), and then press generate.<br>"\
"(NOTE: You can use any of the functions defined in the mathematical<br>"\
" library - libm)."

#endif // RESOURCE_H
