/*************************************************************************
 *                                                                          
 * util.h  -  description
 *
 * Copyright (C) 2001  J C Gonzalez
 * gonzalez@gae.ucm.es
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#ifndef UTIL_H
#define UTIL_H

#include <math.h>

//++
// utility functions/templates
//--

#define ReadNextValidString   s = "#"; while (s.at(0) == '#') s=input.readLine()


// define square of a number
template<class T>
inline T sqr(T x) { return (x*x); }

// define cube of a number
template<class T>
inline T cube(T x) { return (x*x*x); }

// define maximum of two numbers
template<class T>
inline T max(T a, T b) { return ((a>b) ? a : b); }

// define square of a number
template<class T>
inline T min(T a, T b) { return ((a<b) ? a : b); }

/*
template<class T>
inline T round(float x) { return static_cast<T>(floor(x + 0.5)); }

#define nint(x)   round<int>( (x) )
#define rint(x)   round<int>( (x) )
#define frint(x)  round<float>( (x) )
*/

inline int rint(float x) { return static_cast<int>(floor(x + 0.5)); }
inline float frint(float x) { return static_cast<float>(floor(x + 0.5)); }

#define nint(x)   rint( x )

#endif UTIL_H
